Subject: RE: [Sip] PING/PONG

From: "Steve Langstaff" <[email-masked]>
Date: Tue, 9 Nov 2004 12:14:44 -0000

Doesn't the OPTIONS message do this job (of keeping a link 'alive')?

-- 
Steve Langstaff. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Christer Holmberg (JO/LMF)
Sent: 09 November 2004 11:37
To: 'Christian Stredicke'; [email-masked]
Cc: [email-masked]
Subject: RE: [Sip] PING/PONG

Hi,
 
I don't have anything PING, but no matter how short and effective (in the number of SIP headers etc) we make it it is still pretty "heavy" on the network.
 
I think we should, as I said yesterday, at least have a look at an option which "combines" CRLF and PING (or whatever method is used), ie a UA can send CRLF every X seconds, and PING every n*X seconds.
 
Of course, using a combined mechanism would mean that it would take longer to detect a NAT failure, in case the NAT binding goes done while the UA sends CRLF. 
 
But, we also have to remember, that eventhough PING would have a response (which CRLC does not have), due to the transcation timeout- and re-transmission timers it would still take a while (until the transcation expires) to figure out that the NAT binding has been closed.
 
Regards,
 
Christer Holmberg
Ericsson Finland

 -----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Christian Stredicke
Sent: 8. marraskuuta 2004 23:31
To: [email-masked]
Cc: [email-masked]
Subject: [Sip] PING/PONG

Hello Cullen,
 
I think it is no harm if there is a PING message defined in SIP. I personally think it is overdue anyway. Implementors can then decide if they are using it or not. Lets leave that decision to the implementors!
 
But we have to consider who is sending keep-alive traffic. "IMHO" is it definitely better if the UA does this, because then e.g. usually it is ok to send CRLF keep alive or STUN.
 
We register with a header that incates (a) that the UA is able to do the refreshing and (b) what the proposed refresh time is. The UA can do all these tricky NAT measurement tricks and then propose the refresh time. Stupid UA may just propose a predefined value, e.g. 20 seconds. The registrar (or whatever is in the path) then can acknowlege the refresh role and leave the refreshing to the UA. Otherwise, it will send the refresh messages. In that case, it will probably use PING, cause it needs a response to keep the NAT alive in all cases - even if it is a "503 Not Implemented".
 
Christian

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip